Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc.adapter
Class CachingStatementProvider

    java.lang.Object
      org.codehaus.activemq.store.jdbc.adapter.CachingStatementProvider

All Implemented Interfaces:
  StatementProvider

public class CachingStatementProvider
extends java.lang.Object
implements StatementProvider

A StatementProvider filter that caches the responses of the filtered StatementProvider.

Version:
  $Revision: 1.2 $

Constructor Summary
`CachingStatementProvider(StatementProvider statementProvider)`

Method Summary
`java.lang.String` | `getAddMessageStatment()`
`java.lang.String` | `getAddXidStatment()`
`java.lang.String` | `getCreateDurableSubStatment()`
`java.lang.String[]` | `getCreateSchemaStatments()`
`java.lang.String[]` | `getDropSchemaStatments()`
`java.lang.String` | `getFindAllDurableSubMessagesStatment()`
`java.lang.String` | `getFindAllMessagesStatment()`
`java.lang.String` | `getFindAllTxStatment()`
`java.lang.String` | `getFindAllXidStatment()`
`java.lang.String` | `getFindDurableSubStatment()`
`java.lang.String` | `getFindLastSequenceId()`
`java.lang.String` | `getFindMessageStatment()`
`java.lang.String` | `getFindXidStatment()`
`StatementProvider` | `getNext()`
`java.lang.String` | `getRemoveMessageStatment()`
`java.lang.String` | `getRemoveXidStatment()`
`java.lang.String` | `getUpdateDurableSubStatment()`
`java.lang.String` | `getUpdateLastAckOfDurableSub()`
`java.lang.String` | `getUpdateMessageStatment()`
`java.lang.String` | `getUpdateXidStatment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingStatementProvider

    public CachingStatementProvider(StatementProvider statementProvider)

Parameters:
  `statementProvider` -

Method Detail

### getNext

    public StatementProvider getNext()

### getAddMessageStatment

    public java.lang.String getAddMessageStatment()

  Specified by:
    `getAddMessageStatment` in interface `StatementProvider`
  Returns:

### getAddXidStatment

    public java.lang.String getAddXidStatment()

  Specified by:
    `getAddXidStatment` in interface `StatementProvider`
  Returns:

### getCreateSchemaStatments

    public java.lang.String[] getCreateSchemaStatments()

  Specified by:
    `getCreateSchemaStatments` in interface `StatementProvider`
  Returns:

### getDropSchemaStatments

    public java.lang.String[] getDropSchemaStatments()

  Specified by:
    `getDropSchemaStatments` in interface `StatementProvider`
  Returns:

### getFindAllMessagesStatment

    public java.lang.String getFindAllMessagesStatment()

  Specified by:
    `getFindAllMessagesStatment` in interface `StatementProvider`
  Returns:

### getFindAllTxStatment

    public java.lang.String getFindAllTxStatment()

  Specified by:
    `getFindAllTxStatment` in interface `StatementProvider`
  Returns:

### getFindAllXidStatment

    public java.lang.String getFindAllXidStatment()

  Specified by:
    `getFindAllXidStatment` in interface `StatementProvider`
  Returns:

### getFindLastSequenceId

    public java.lang.String getFindLastSequenceId()

  Specified by:
    `getFindLastSequenceId` in interface `StatementProvider`
  Returns:

### getFindMessageStatment

    public java.lang.String getFindMessageStatment()

  Specified by:
    `getFindMessageStatment` in interface `StatementProvider`
  Returns:

### getFindXidStatment

    public java.lang.String getFindXidStatment()

  Specified by:
    `getFindXidStatment` in interface `StatementProvider`
  Returns:

### getRemoveMessageStatment

    public java.lang.String getRemoveMessageStatment()

  Specified by:
    `getRemoveMessageStatment` in interface `StatementProvider`
  Returns:

### getRemoveXidStatment

    public java.lang.String getRemoveXidStatment()

  Specified by:
    `getRemoveXidStatment` in interface `StatementProvider`
  Returns:

### getUpdateMessageStatment

    public java.lang.String getUpdateMessageStatment()

  Specified by:
    `getUpdateMessageStatment` in interface `StatementProvider`
  Returns:

### getUpdateXidStatment

    public java.lang.String getUpdateXidStatment()

  Specified by:
    `getUpdateXidStatment` in interface `StatementProvider`
  Returns:

### getCreateDurableSubStatment

    public java.lang.String getCreateDurableSubStatment()

  Specified by:
    `getCreateDurableSubStatment` in interface `StatementProvider`
  See Also:
    `StatementProvider.getCreateDurableSubStatment()`

### getUpdateDurableSubStatment

    public java.lang.String getUpdateDurableSubStatment()

  Specified by:
    `getUpdateDurableSubStatment` in interface `StatementProvider`
  See Also:
    `StatementProvider.getUpdateDurableSubStatment()`

### getFindDurableSubStatment

    public java.lang.String getFindDurableSubStatment()

  Specified by:
    `getFindDurableSubStatment` in interface `StatementProvider`
  See Also:
    `StatementProvider.getFindDurableSubStatment()`

### getFindAllDurableSubMessagesStatment

    public java.lang.String getFindAllDurableSubMessagesStatment()

  Specified by:
    `getFindAllDurableSubMessagesStatment` in interface `StatementProvider`
  Returns:

### getUpdateLastAckOfDurableSub

    public java.lang.String getUpdateLastAckOfDurableSub()

  Specified by:
    `getUpdateLastAckOfDurableSub` in interface `StatementProvider`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.